#!/usr/bin/perl -w

# Written by Dirk Dietrich (dirk@ruebenrotze.de) 05.2005
# Update by Felipe rayel (rayel@pocos-net.com.br) 08.2005
# Collecting Samba Stats
# Tested on FC3 Samba v3.0.10
# Tested on Debian Samba v3.0.14
# Modified by Sid McLaurin
# sidsolutions.net
#


if ($ARGV[0] eq "Files") {
        $n = `/usr/bin/smbstatus -L|wc -l`;
        if ($n >= 4) {
                $n = $n -4;
        } else {
                $n = 0;
        }

} elsif ($ARGV[0] eq "Processes") {
        $n = `/usr/bin/smbstatus -p|wc -l`;
        if ($n >= 4) {
                $n = $n -4;
        } else {
                $n = 0;
        }

} elsif ($ARGV[0] eq "Shares") {
        $n = `/usr/bin/smbstatus -S |wc -l`;
        if ($n >= 4) {
                $n = $n -4;
        } else {
                $n = 0;
        }

}
chomp ($n);

print "$n";
